# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: objectpool.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from . import lint_pb2 as lint__pb2
from . import shared_pb2 as shared__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='objectpool.proto',
  package='gitaly',
  syntax='proto3',
  serialized_pb=_b('\n\x10objectpool.proto\x12\x06gitaly\x1a\nlint.proto\x1a\x0cshared.proto\"r\n\x17\x43reateObjectPoolRequest\x12-\n\x0bobject_pool\x18\x01 \x01(\x0b\x32\x12.gitaly.ObjectPoolB\x04\x98\xc6,\x01\x12(\n\x06origin\x18\x02 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\xa0\xc6,\x01\"\x1a\n\x18\x43reateObjectPoolResponse\"H\n\x17\x44\x65leteObjectPoolRequest\x12-\n\x0bobject_pool\x18\x01 \x01(\x0b\x32\x12.gitaly.ObjectPoolB\x04\x98\xc6,\x01\"\x1a\n\x18\x44\x65leteObjectPoolResponse\"\x80\x01\n!LinkRepositoryToObjectPoolRequest\x12-\n\x0bobject_pool\x18\x01 \x01(\x0b\x32\x12.gitaly.ObjectPoolB\x04\xa0\xc6,\x01\x12,\n\nrepository\x18\x02 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\"$\n\"LinkRepositoryToObjectPoolResponse\"L\n\x1cReduplicateRepositoryRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\"\x1f\n\x1dReduplicateRepositoryResponse\"N\n\x1e\x44isconnectGitAlternatesRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\"!\n\x1f\x44isconnectGitAlternatesResponse\"\x85\x01\n\x1a\x46\x65tchIntoObjectPoolRequest\x12(\n\x06origin\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\xa0\xc6,\x01\x12-\n\x0bobject_pool\x18\x02 \x01(\x0b\x32\x12.gitaly.ObjectPoolB\x04\x98\xc6,\x01\x12\x0e\n\x06repack\x18\x03 \x01(\x08\"\x1d\n\x1b\x46\x65tchIntoObjectPoolResponse\"D\n\x14GetObjectPoolRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\"@\n\x15GetObjectPoolResponse\x12\'\n\x0bobject_pool\x18\x01 \x01(\x0b\x32\x12.gitaly.ObjectPool2\xee\x05\n\x11ObjectPoolService\x12]\n\x10\x43reateObjectPool\x12\x1f.gitaly.CreateObjectPoolRequest\x1a .gitaly.CreateObjectPoolResponse\"\x06\xfa\x97(\x02\x08\x01\x12]\n\x10\x44\x65leteObjectPool\x12\x1f.gitaly.DeleteObjectPoolRequest\x1a .gitaly.DeleteObjectPoolResponse\"\x06\xfa\x97(\x02\x08\x01\x12{\n\x1aLinkRepositoryToObjectPool\x12).gitaly.LinkRepositoryToObjectPoolRequest\x1a*.gitaly.LinkRepositoryToObjectPoolResponse\"\x06\xfa\x97(\x02\x08\x01\x12l\n\x15ReduplicateRepository\x12$.gitaly.ReduplicateRepositoryRequest\x1a%.gitaly.ReduplicateRepositoryResponse\"\x06\xfa\x97(\x02\x08\x01\x12r\n\x17\x44isconnectGitAlternates\x12&.gitaly.DisconnectGitAlternatesRequest\x1a\'.gitaly.DisconnectGitAlternatesResponse\"\x06\xfa\x97(\x02\x08\x01\x12\x66\n\x13\x46\x65tchIntoObjectPool\x12\".gitaly.FetchIntoObjectPoolRequest\x1a#.gitaly.FetchIntoObjectPoolResponse\"\x06\xfa\x97(\x02\x08\x01\x12T\n\rGetObjectPool\x12\x1c.gitaly.GetObjectPoolRequest\x1a\x1d.gitaly.GetObjectPoolResponse\"\x06\xfa\x97(\x02\x08\x02\x42\x34Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypbb\x06proto3')
  ,
  dependencies=[lint__pb2.DESCRIPTOR,shared__pb2.DESCRIPTOR,])




_CREATEOBJECTPOOLREQUEST = _descriptor.Descriptor(
  name='CreateObjectPoolRequest',
  full_name='gitaly.CreateObjectPoolRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='object_pool', full_name='gitaly.CreateObjectPoolRequest.object_pool', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='origin', full_name='gitaly.CreateObjectPoolRequest.origin', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\240\306,\001')), file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=54,
  serialized_end=168,
)


_CREATEOBJECTPOOLRESPONSE = _descriptor.Descriptor(
  name='CreateObjectPoolResponse',
  full_name='gitaly.CreateObjectPoolResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=170,
  serialized_end=196,
)


_DELETEOBJECTPOOLREQUEST = _descriptor.Descriptor(
  name='DeleteObjectPoolRequest',
  full_name='gitaly.DeleteObjectPoolRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='object_pool', full_name='gitaly.DeleteObjectPoolRequest.object_pool', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=198,
  serialized_end=270,
)


_DELETEOBJECTPOOLRESPONSE = _descriptor.Descriptor(
  name='DeleteObjectPoolResponse',
  full_name='gitaly.DeleteObjectPoolResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=272,
  serialized_end=298,
)


_LINKREPOSITORYTOOBJECTPOOLREQUEST = _descriptor.Descriptor(
  name='LinkRepositoryToObjectPoolRequest',
  full_name='gitaly.LinkRepositoryToObjectPoolRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='object_pool', full_name='gitaly.LinkRepositoryToObjectPoolRequest.object_pool', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\240\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.LinkRepositoryToObjectPoolRequest.repository', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=301,
  serialized_end=429,
)


_LINKREPOSITORYTOOBJECTPOOLRESPONSE = _descriptor.Descriptor(
  name='LinkRepositoryToObjectPoolResponse',
  full_name='gitaly.LinkRepositoryToObjectPoolResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=431,
  serialized_end=467,
)


_REDUPLICATEREPOSITORYREQUEST = _descriptor.Descriptor(
  name='ReduplicateRepositoryRequest',
  full_name='gitaly.ReduplicateRepositoryRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.ReduplicateRepositoryRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=469,
  serialized_end=545,
)


_REDUPLICATEREPOSITORYRESPONSE = _descriptor.Descriptor(
  name='ReduplicateRepositoryResponse',
  full_name='gitaly.ReduplicateRepositoryResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=547,
  serialized_end=578,
)


_DISCONNECTGITALTERNATESREQUEST = _descriptor.Descriptor(
  name='DisconnectGitAlternatesRequest',
  full_name='gitaly.DisconnectGitAlternatesRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.DisconnectGitAlternatesRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=580,
  serialized_end=658,
)


_DISCONNECTGITALTERNATESRESPONSE = _descriptor.Descriptor(
  name='DisconnectGitAlternatesResponse',
  full_name='gitaly.DisconnectGitAlternatesResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=660,
  serialized_end=693,
)


_FETCHINTOOBJECTPOOLREQUEST = _descriptor.Descriptor(
  name='FetchIntoObjectPoolRequest',
  full_name='gitaly.FetchIntoObjectPoolRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='origin', full_name='gitaly.FetchIntoObjectPoolRequest.origin', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\240\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='object_pool', full_name='gitaly.FetchIntoObjectPoolRequest.object_pool', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='repack', full_name='gitaly.FetchIntoObjectPoolRequest.repack', index=2,
      number=3, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=696,
  serialized_end=829,
)


_FETCHINTOOBJECTPOOLRESPONSE = _descriptor.Descriptor(
  name='FetchIntoObjectPoolResponse',
  full_name='gitaly.FetchIntoObjectPoolResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=831,
  serialized_end=860,
)


_GETOBJECTPOOLREQUEST = _descriptor.Descriptor(
  name='GetObjectPoolRequest',
  full_name='gitaly.GetObjectPoolRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.GetObjectPoolRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=862,
  serialized_end=930,
)


_GETOBJECTPOOLRESPONSE = _descriptor.Descriptor(
  name='GetObjectPoolResponse',
  full_name='gitaly.GetObjectPoolResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='object_pool', full_name='gitaly.GetObjectPoolResponse.object_pool', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=932,
  serialized_end=996,
)

_CREATEOBJECTPOOLREQUEST.fields_by_name['object_pool'].message_type = shared__pb2._OBJECTPOOL
_CREATEOBJECTPOOLREQUEST.fields_by_name['origin'].message_type = shared__pb2._REPOSITORY
_DELETEOBJECTPOOLREQUEST.fields_by_name['object_pool'].message_type = shared__pb2._OBJECTPOOL
_LINKREPOSITORYTOOBJECTPOOLREQUEST.fields_by_name['object_pool'].message_type = shared__pb2._OBJECTPOOL
_LINKREPOSITORYTOOBJECTPOOLREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_REDUPLICATEREPOSITORYREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_DISCONNECTGITALTERNATESREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_FETCHINTOOBJECTPOOLREQUEST.fields_by_name['origin'].message_type = shared__pb2._REPOSITORY
_FETCHINTOOBJECTPOOLREQUEST.fields_by_name['object_pool'].message_type = shared__pb2._OBJECTPOOL
_GETOBJECTPOOLREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_GETOBJECTPOOLRESPONSE.fields_by_name['object_pool'].message_type = shared__pb2._OBJECTPOOL
DESCRIPTOR.message_types_by_name['CreateObjectPoolRequest'] = _CREATEOBJECTPOOLREQUEST
DESCRIPTOR.message_types_by_name['CreateObjectPoolResponse'] = _CREATEOBJECTPOOLRESPONSE
DESCRIPTOR.message_types_by_name['DeleteObjectPoolRequest'] = _DELETEOBJECTPOOLREQUEST
DESCRIPTOR.message_types_by_name['DeleteObjectPoolResponse'] = _DELETEOBJECTPOOLRESPONSE
DESCRIPTOR.message_types_by_name['LinkRepositoryToObjectPoolRequest'] = _LINKREPOSITORYTOOBJECTPOOLREQUEST
DESCRIPTOR.message_types_by_name['LinkRepositoryToObjectPoolResponse'] = _LINKREPOSITORYTOOBJECTPOOLRESPONSE
DESCRIPTOR.message_types_by_name['ReduplicateRepositoryRequest'] = _REDUPLICATEREPOSITORYREQUEST
DESCRIPTOR.message_types_by_name['ReduplicateRepositoryResponse'] = _REDUPLICATEREPOSITORYRESPONSE
DESCRIPTOR.message_types_by_name['DisconnectGitAlternatesRequest'] = _DISCONNECTGITALTERNATESREQUEST
DESCRIPTOR.message_types_by_name['DisconnectGitAlternatesResponse'] = _DISCONNECTGITALTERNATESRESPONSE
DESCRIPTOR.message_types_by_name['FetchIntoObjectPoolRequest'] = _FETCHINTOOBJECTPOOLREQUEST
DESCRIPTOR.message_types_by_name['FetchIntoObjectPoolResponse'] = _FETCHINTOOBJECTPOOLRESPONSE
DESCRIPTOR.message_types_by_name['GetObjectPoolRequest'] = _GETOBJECTPOOLREQUEST
DESCRIPTOR.message_types_by_name['GetObjectPoolResponse'] = _GETOBJECTPOOLRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

CreateObjectPoolRequest = _reflection.GeneratedProtocolMessageType('CreateObjectPoolRequest', (_message.Message,), dict(
  DESCRIPTOR = _CREATEOBJECTPOOLREQUEST,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.CreateObjectPoolRequest)
  ))
_sym_db.RegisterMessage(CreateObjectPoolRequest)

CreateObjectPoolResponse = _reflection.GeneratedProtocolMessageType('CreateObjectPoolResponse', (_message.Message,), dict(
  DESCRIPTOR = _CREATEOBJECTPOOLRESPONSE,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.CreateObjectPoolResponse)
  ))
_sym_db.RegisterMessage(CreateObjectPoolResponse)

DeleteObjectPoolRequest = _reflection.GeneratedProtocolMessageType('DeleteObjectPoolRequest', (_message.Message,), dict(
  DESCRIPTOR = _DELETEOBJECTPOOLREQUEST,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.DeleteObjectPoolRequest)
  ))
_sym_db.RegisterMessage(DeleteObjectPoolRequest)

DeleteObjectPoolResponse = _reflection.GeneratedProtocolMessageType('DeleteObjectPoolResponse', (_message.Message,), dict(
  DESCRIPTOR = _DELETEOBJECTPOOLRESPONSE,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.DeleteObjectPoolResponse)
  ))
_sym_db.RegisterMessage(DeleteObjectPoolResponse)

LinkRepositoryToObjectPoolRequest = _reflection.GeneratedProtocolMessageType('LinkRepositoryToObjectPoolRequest', (_message.Message,), dict(
  DESCRIPTOR = _LINKREPOSITORYTOOBJECTPOOLREQUEST,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.LinkRepositoryToObjectPoolRequest)
  ))
_sym_db.RegisterMessage(LinkRepositoryToObjectPoolRequest)

LinkRepositoryToObjectPoolResponse = _reflection.GeneratedProtocolMessageType('LinkRepositoryToObjectPoolResponse', (_message.Message,), dict(
  DESCRIPTOR = _LINKREPOSITORYTOOBJECTPOOLRESPONSE,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.LinkRepositoryToObjectPoolResponse)
  ))
_sym_db.RegisterMessage(LinkRepositoryToObjectPoolResponse)

ReduplicateRepositoryRequest = _reflection.GeneratedProtocolMessageType('ReduplicateRepositoryRequest', (_message.Message,), dict(
  DESCRIPTOR = _REDUPLICATEREPOSITORYREQUEST,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.ReduplicateRepositoryRequest)
  ))
_sym_db.RegisterMessage(ReduplicateRepositoryRequest)

ReduplicateRepositoryResponse = _reflection.GeneratedProtocolMessageType('ReduplicateRepositoryResponse', (_message.Message,), dict(
  DESCRIPTOR = _REDUPLICATEREPOSITORYRESPONSE,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.ReduplicateRepositoryResponse)
  ))
_sym_db.RegisterMessage(ReduplicateRepositoryResponse)

DisconnectGitAlternatesRequest = _reflection.GeneratedProtocolMessageType('DisconnectGitAlternatesRequest', (_message.Message,), dict(
  DESCRIPTOR = _DISCONNECTGITALTERNATESREQUEST,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.DisconnectGitAlternatesRequest)
  ))
_sym_db.RegisterMessage(DisconnectGitAlternatesRequest)

DisconnectGitAlternatesResponse = _reflection.GeneratedProtocolMessageType('DisconnectGitAlternatesResponse', (_message.Message,), dict(
  DESCRIPTOR = _DISCONNECTGITALTERNATESRESPONSE,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.DisconnectGitAlternatesResponse)
  ))
_sym_db.RegisterMessage(DisconnectGitAlternatesResponse)

FetchIntoObjectPoolRequest = _reflection.GeneratedProtocolMessageType('FetchIntoObjectPoolRequest', (_message.Message,), dict(
  DESCRIPTOR = _FETCHINTOOBJECTPOOLREQUEST,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.FetchIntoObjectPoolRequest)
  ))
_sym_db.RegisterMessage(FetchIntoObjectPoolRequest)

FetchIntoObjectPoolResponse = _reflection.GeneratedProtocolMessageType('FetchIntoObjectPoolResponse', (_message.Message,), dict(
  DESCRIPTOR = _FETCHINTOOBJECTPOOLRESPONSE,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.FetchIntoObjectPoolResponse)
  ))
_sym_db.RegisterMessage(FetchIntoObjectPoolResponse)

GetObjectPoolRequest = _reflection.GeneratedProtocolMessageType('GetObjectPoolRequest', (_message.Message,), dict(
  DESCRIPTOR = _GETOBJECTPOOLREQUEST,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.GetObjectPoolRequest)
  ))
_sym_db.RegisterMessage(GetObjectPoolRequest)

GetObjectPoolResponse = _reflection.GeneratedProtocolMessageType('GetObjectPoolResponse', (_message.Message,), dict(
  DESCRIPTOR = _GETOBJECTPOOLRESPONSE,
  __module__ = 'objectpool_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.GetObjectPoolResponse)
  ))
_sym_db.RegisterMessage(GetObjectPoolResponse)


DESCRIPTOR.has_options = True
DESCRIPTOR._options = _descriptor._ParseOptions(descriptor_pb2.FileOptions(), _b('Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypb'))
_CREATEOBJECTPOOLREQUEST.fields_by_name['object_pool'].has_options = True
_CREATEOBJECTPOOLREQUEST.fields_by_name['object_pool']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_CREATEOBJECTPOOLREQUEST.fields_by_name['origin'].has_options = True
_CREATEOBJECTPOOLREQUEST.fields_by_name['origin']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\240\306,\001'))
_DELETEOBJECTPOOLREQUEST.fields_by_name['object_pool'].has_options = True
_DELETEOBJECTPOOLREQUEST.fields_by_name['object_pool']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_LINKREPOSITORYTOOBJECTPOOLREQUEST.fields_by_name['object_pool'].has_options = True
_LINKREPOSITORYTOOBJECTPOOLREQUEST.fields_by_name['object_pool']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\240\306,\001'))
_LINKREPOSITORYTOOBJECTPOOLREQUEST.fields_by_name['repository'].has_options = True
_LINKREPOSITORYTOOBJECTPOOLREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_REDUPLICATEREPOSITORYREQUEST.fields_by_name['repository'].has_options = True
_REDUPLICATEREPOSITORYREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_DISCONNECTGITALTERNATESREQUEST.fields_by_name['repository'].has_options = True
_DISCONNECTGITALTERNATESREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_FETCHINTOOBJECTPOOLREQUEST.fields_by_name['origin'].has_options = True
_FETCHINTOOBJECTPOOLREQUEST.fields_by_name['origin']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\240\306,\001'))
_FETCHINTOOBJECTPOOLREQUEST.fields_by_name['object_pool'].has_options = True
_FETCHINTOOBJECTPOOLREQUEST.fields_by_name['object_pool']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_GETOBJECTPOOLREQUEST.fields_by_name['repository'].has_options = True
_GETOBJECTPOOLREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))

_OBJECTPOOLSERVICE = _descriptor.ServiceDescriptor(
  name='ObjectPoolService',
  full_name='gitaly.ObjectPoolService',
  file=DESCRIPTOR,
  index=0,
  options=None,
  serialized_start=999,
  serialized_end=1749,
  methods=[
  _descriptor.MethodDescriptor(
    name='CreateObjectPool',
    full_name='gitaly.ObjectPoolService.CreateObjectPool',
    index=0,
    containing_service=None,
    input_type=_CREATEOBJECTPOOLREQUEST,
    output_type=_CREATEOBJECTPOOLRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\001')),
  ),
  _descriptor.MethodDescriptor(
    name='DeleteObjectPool',
    full_name='gitaly.ObjectPoolService.DeleteObjectPool',
    index=1,
    containing_service=None,
    input_type=_DELETEOBJECTPOOLREQUEST,
    output_type=_DELETEOBJECTPOOLRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\001')),
  ),
  _descriptor.MethodDescriptor(
    name='LinkRepositoryToObjectPool',
    full_name='gitaly.ObjectPoolService.LinkRepositoryToObjectPool',
    index=2,
    containing_service=None,
    input_type=_LINKREPOSITORYTOOBJECTPOOLREQUEST,
    output_type=_LINKREPOSITORYTOOBJECTPOOLRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\001')),
  ),
  _descriptor.MethodDescriptor(
    name='ReduplicateRepository',
    full_name='gitaly.ObjectPoolService.ReduplicateRepository',
    index=3,
    containing_service=None,
    input_type=_REDUPLICATEREPOSITORYREQUEST,
    output_type=_REDUPLICATEREPOSITORYRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\001')),
  ),
  _descriptor.MethodDescriptor(
    name='DisconnectGitAlternates',
    full_name='gitaly.ObjectPoolService.DisconnectGitAlternates',
    index=4,
    containing_service=None,
    input_type=_DISCONNECTGITALTERNATESREQUEST,
    output_type=_DISCONNECTGITALTERNATESRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\001')),
  ),
  _descriptor.MethodDescriptor(
    name='FetchIntoObjectPool',
    full_name='gitaly.ObjectPoolService.FetchIntoObjectPool',
    index=5,
    containing_service=None,
    input_type=_FETCHINTOOBJECTPOOLREQUEST,
    output_type=_FETCHINTOOBJECTPOOLRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\001')),
  ),
  _descriptor.MethodDescriptor(
    name='GetObjectPool',
    full_name='gitaly.ObjectPoolService.GetObjectPool',
    index=6,
    containing_service=None,
    input_type=_GETOBJECTPOOLREQUEST,
    output_type=_GETOBJECTPOOLRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
])
_sym_db.RegisterServiceDescriptor(_OBJECTPOOLSERVICE)

DESCRIPTOR.services_by_name['ObjectPoolService'] = _OBJECTPOOLSERVICE

# @@protoc_insertion_point(module_scope)
